/////////////////////////////////////////////////////////////////////
//
// FitPtr.h
//
//   POS Printer header file for OPOS Applications.
//
//
/////////////////////////////////////////////////////////////////////

#if !defined(FITPTR_H)
#define      FITPTR_H

/////////////////////////////////////////////////////////////////////
// OPOS "DirectIO" Method: "Command" Parameter Constants
/////////////////////////////////////////////////////////////////////
const LONG OPOS_FIT_DIO_BIN_SYNC		= 0;
const LONG OPOS_FIT_DIO_BIN_IMMIDIATE	= 1;
const LONG OPOS_FIT_DIO_BIN_REALTIME	= 2;
const LONG OPOS_FIT_DIO_HEX_SYNC		= 5;

const LONG OPOS_FIT_DIO_BIN_ASYNC		= 6;
const LONG OPOS_FIT_DIO_HEX_ASYNC		= 7;

const LONG OPOS_FIT_DIO_HARD_RESET		= 100;
const LONG OPOS_FIT_DIO_NOT_ASB			= 101;

// 20100205 start }`tHgϊΉ
const LONG OPOS_FIT_DIO_SET_FONTLIST	= 100;
// 20100205 end
// 20100325 start 16KϊΉ
const LONG OPOS_FIT_DIO_SET_GRAYSCALE	= 500;
// 20100325 end

// 2010/10/01 16KϊΉ start
const LONG OPOS_FIT_DIO_SET_BMFFORM_BM	= 50;
const LONG OPOS_FIT_DIO_GET_BMFFORM_BM	= 51;
const LONG OPOS_FIT_DIO_SET_BMFFORM_MF	= 52;
const LONG OPOS_FIT_DIO_GET_BMFFORM_MF	= 53;
// 2010/10/01 16KϊΉ end

// 2010/11/24 Version 1.13.1.0 Start
const LONG OPOS_FIT_DIO_SET_QRERRORLV	= 20;
const LONG OPOS_FIT_DIO_GET_QRERRORLV	= 21;

const LONG OPOS_FIT_DIO_SET_MICROQRERRORLV	= 22;
const LONG OPOS_FIT_DIO_GET_MICROQRERRORLV	= 23;

const LONG OPOS_FIT_DIO_SET_PDFERROLV	= 24;
const LONG OPOS_FIT_DIO_GET_PDFERROLV	= 25;
const LONG OPOS_FIT_DIO_SET_PDFVHSIZE	= 26;
const LONG OPOS_FIT_DIO_GET_PDFVHSIZE	= 27;
const LONG OPOS_FIT_DIO_SET_PDFSIZE		= 28;
const LONG OPOS_FIT_DIO_GET_PDFSIZE		= 29;
const LONG OPOS_FIT_DIO_SET_PDFMODE		= 30;
const LONG OPOS_FIT_DIO_GET_PDFMODE		= 31;
const LONG OPOS_FIT_DIO_SET_DMVHSIZE	= 32;
const LONG OPOS_FIT_DIO_GET_DMVHSIZE	= 33;
// 2010/11/24 End

/////////////////////////////////////////////////////////////////////
// OPOS "ResultCodeExtended" Property Base Constants
/////////////////////////////////////////////////////////////////////

const LONG FITERREXT	= 10000;	// FIT specific error base

/////////////////////////////////////////////////////////////////////
// "ResultCodeExtended" Property Constants for Printer
/////////////////////////////////////////////////////////////////////

const LONG OPOS_FIT_EPTR_BLACKMARK		= 1  + FITERREXT;
const LONG OPOS_FIT_EPTR_FATAL			= 3  + FITERREXT;
const LONG OPOS_FIT_EPTR_OVERHEAT		= 6  + FITERREXT;
const LONG OPOS_FIT_EPTR_CUTTERJAM		= 8  + FITERREXT;

#endif                  // !defined(FITPTR_H)
